Game.LoadScript('scripts/globals.lua');

function onMainMenuLoad() -- Executed every time room is loaded
  Game.SetBackgroundRGB(255,255,255);
  MenuLogo = THudsprite.Create();
  MenuLogo.Load('GUI/MainMenu/intro.png');
  MenuLogo.SetPosition(512,300);
  MenuLogo.SetSize(512,512);
  MenuLogo.SetTransparency(3);
  
  MenuStart = THudsprite.Create();
  MenuStart.Load('GUI/MainMenu/start.png');
  MenuStart.SetPosition(112,300);
  MenuStart.SetSize(128,64);
  MenuStart.SetTransparency(3);
  MenuStart.onMouseMove = 'onMenuStartMouseMove';
  MenuStart.onMouseUp = 'onMenuStartMouseUp';
  
  MenuExit = THudsprite.Create();
  MenuExit.Load('GUI/MainMenu/exit.png');
  MenuExit.SetPosition(112,370);
  MenuExit.SetTransparency(3);   
  MenuExit.SetSize(128,64);
  MenuExit.onMouseMove = 'onMenuExitMouseMove';
  MenuExit.onMouseUp = 'onMenuExitMouseUp';
end

function onMainMenuUnload()
  MenuLogo.Destroy();
  MenuStart.Destroy();
  MenuExit.Destroy();
  
  MenuLogo = nil;
  MenuStart = nil;
 
  MenuExit = nil;
  --LoadGameGUI();
end

function onMainMenuMouseDown()
 -- If User clicks anything else
end

function onMainMenuMouseMove() -- Basic GUI handling scripts in this room
  MenuStart.Load('GUI/MainMenu/start.png');
  MenuExit.Load('GUI/MainMenu/exit.png');
end
