function onStageIntLoad() -- Executed every time Room is loaded
	LoadChuck()
	LoadSissy()

--Camera

	Camera.SetPosition(17.0905914306641,35.5027618408203,42.1021461486816);
	Camera.SetTargetPosition(-4.45916080474854,35.7814598083496,23.8202533721924);

  --Camera.FollowActor(Sissy.ID); -- Makes Camera follow Sissy
	Game.FogStart = 50;
	Game.FogEnd = 650;
	Game.SetFogRGB (5,5,5); 
	
--Lights
	Light1.LightStyle = 1;
	Light1.LinearAttenuation = 0;
	Light1.ConstAttenuation = 0.3;
	Light1.QuadraticAttenuation = 0;
	Light1.SpotExponent = 0;
	Light1.SpotCutOff = 90;
	Light1.SetDiffuseRGB(135,135,124);
	Light1.SetAmbientRGB(22,20,33);

	Light1.SetShadowRGB(0,0,50,0.1); --Shadow color (Red,Green,Blue,Alpha:[0..1]), default (0,0,0,0.5) 0.5 = alpha
	Light1.Enabled = true --Enable shadows, default true
	Light1.SetPosition(-70.5,104.599998474121,87.1999969482422);


	Light2.LightStyle = 1;
	Light2.LinearAttenuation = 0.02;
	Light2.ConstAttenuation = 0;
	Light2.QuadraticAttenuation = 0;
	Light2.SpotExponent = 0;
	Light2.SpotCutOff = 0;
	Light2.SetDiffuseRGB(219,219,202);
	Light2.SetAmbientRGB(50,55,78);
	
	Light2.SetShadowRGB(0,0,50,0.1); --Shadow color (Red,Green,Blue,Alpha:[0..1]), default (0,0,0,0.5) 0.5 = alpha
	Light2.SetPosition(-69.5,121.900001525879,202.100006103516);
	Light2.ShadowEnabled = false;
	Light2.Enabled = true
	
	Light_pool.Enabled = false;

	Light_amb.LightStyle = 2;
	Light_amb.LinearAttenuation = 0;
	Light_amb.ConstAttenuation = 0;
	Light_amb.QuadraticAttenuation = 0;
	Light_amb.SpotExponent = 100;
	Light_amb.SpotCutOff = 81.39;
	Light_amb.SetDiffuseRGB(251,250,244);
	Light_amb.SetAmbientRGB(32,28,53);

	if Skybox == nil then
		Skybox = TSkybox.Create();
		Skybox.LoadTextures('skybox/sky.jpg');
	end
	
	Light_amb.SetPosition(0,-150,0);
	Light_amb.SetRotation(0,0,90);
	Light_amb.SetScale(1,1,1);
	Light_amb.ShadowEnabled = false;
	Light_amb.Enabled = true

--Characters 

	Sissy.SetPosition(-180.679992675781,42.0024604797363,-33.7720031738281);
	Sissy.SetRotation(89.4059982299805,0,0);



	Lyons.Visible = false
	
	
	Chuck.SetPosition(-35,22,-70);
	Chuck.SetRotation(-43,0,0);

	Chuck.Visible = true
	

	Olivetti.Visible = false;

	Bouncer.Visible = false;


-- Misc   
 
  Game.LoadScript('scripts/ConvStage.lua');
  Game.CurrentTime = 0; -- Reset Game time    
	
	curtainAni = TAnimation.Create();
	curtainAni.AddPosition(0,0,0,0);
	curtainAni.SetPosInBezier(0,0,0,0);
	curtainAni.SetPosOutBezier(0,0,0,0);

	curtainAni.AddPosition(3,0,81.2020034790039,0);
	curtainAni.SetPosInBezier(0.199999995529652,0,81.2020034790039,0);
	curtainAni.SetPosOutBezier(0.199999995529652,0,81.2020034790039,0);

	curtainAni.AddPosition(3.5,0,77.1999969482422,0);
	curtainAni.SetPosInBezier(0.219999995082617,0,77.1999969482422,0);
	curtainAni.SetPosOutBezier(0.219999995082617,0,77.1999969482422,0);

	curtaincloseAni = TAnimation.Create();
	curtaincloseAni.AddPosition(0,0,77.1999969482422,0);
	curtaincloseAni.SetPosInBezier(0,0,77.1999969482422,0);
	curtaincloseAni.SetPosOutBezier(0,0,77.1999969482422,0);

	curtaincloseAni.AddPosition(3.00000011920929,0,0,0);
	curtaincloseAni.SetPosInBezier(3.00000011920929,0,0,0);
	curtaincloseAni.SetPosOutBezier(3.00000011920929,0,0,0);


   

--Dummies

	mtDoorArea = TDummy.Create();
	mtDoorArea.SetPosition(78.9000015258789,20.6000003814697,-128.5);

  mtStageArea = TDummy.Create();
	mtStageArea.SetPosition(-166.899993896484,33.2999992370605,-68.3000030517578);

  mtTableArea = TDummy.Create();
	mtTableArea.SetPosition(83.8000030517578,40,70.5);

  mtBackArea = TDummy.Create();
	mtBackArea.SetPosition(-104.300003051758,141,193.199996948242);

	
	
	
	mtFootlights1 = TDummy.Create();
	mtFootlights1.SetPosition(-87.3000030517578,20.2000007629395,-42.9000015258789);
	
	mtFootlights2 = TDummy.Create();
	mtFootlights2.SetPosition(-95.3000030517578,20.2000007629395,-94.5);
	
	mtCraps = TDummy.Create();
	mtCraps.SetPosition(96.3000030517578,34.2999992370605,89.5999984741211);
	
	mtBlackjack = TDummy.Create();
	mtBlackjack.SetPosition(-39.2999992370605,37.7999992370605,225.800003051758);
	
	mtElevator = TDummy.Create();
	mtElevator.SetPosition(45.9000015258789,32.5999984741211,194.800003051758);

	mtExit = TDummy.Create();
	mtExit.SetPosition(76.6999969482422,11,-146.300003051758);
	
	-- Meshes
	
	obCurtain = TMesh.Create();
  obCurtain.Load('CasinoInterior/curtain.obj');
  obCurtain.CastShadows = 0;

	obMainDoor = TMesh.Create();
  obMainDoor.Load('CasinoInterior/door_m.obj');
	obMainDoor.SetPosition(123.300003051758,0,-165.399993896484);
  obMainDoor.CastShadows = 0;
  
	obLiftDoor = TMesh.Create();
  obLiftDoor.Load('CasinoInterior/door_l.obj');
	obLiftDoor.SetPosition(47.5,0,217.199996948242);
  obLiftDoor.CastShadows = 0;
	
	obFootlight = TMesh.Create();
  obFootlight.Load('CasinoInterior/footlight.obj');
  obFootlight.CastShadows = 0;
	StatusLineText.Text = '';
	Game.DisableScene = true;
	Sound.Play(stage,1);
	Sound.SetVolume(stage,40);
	FadeIn()
	Game.SetTimer(Game.CurrentTime + 4,'Dance_Cutscene')
	
	if needsBulb == 2 then
		obFootlight.Visible = false;
	end

end


function onStageIntProgress() --Here goes all script you want to repeatedly run


	
end





function Dance_Cutscene()
	obCurtain.RunAnimation(curtainAni.ID);
	curtainUp = 1
	
	if knowsFirstGoal == 1 then
		Sissy.Say ("Um... Good Evening.", 3000);
		Chuck.Say ("Get off!", 3000)
		Sissy.Say ("I-", 3000);
		Chuck.Say ("Get off, you're lousy!", 3000)		
		Sissy.Say ("Now just-", 3000);
		Chuck.Say ("Boo!", 3000, 'CurtainDown')	
		knowsFirstGoal =	2

	elseif knowsFirstGoal == 3 or knowsFirstGoal == 4 then
		InitConv_SissyStage()
	end
	
	
end
	
	
function CurtainDown()
		obCurtain.RunAnimation(curtaincloseAni.ID);
		Game.SetTimer(Game.CurrentTime + 4,'GoBackOutside')
end


function GoBackOutside()
	Sound.FadeOut (stage, 5000)
	FadeToBlack()
	Game.SetTimer(Game.CurrentTime + 3,'LoadExteriorFromStage')


end

function LoadExteriorFromStage()
	Exterior.Load ()

end


function onStageIntUnload()

	lastRoom = 'Stage'

	obCurtain.Destroy ();
	obMainDoor.Destroy ();
	obLiftDoor.Destroy ();
	obFootlight.Destroy ();
	obCurtain = nil;
	obMainDoor = nil;
	obLiftDoor = nil;
	obFootlight	= nil;
	
	mtDoorArea.Destroy ();
  mtStageArea.Destroy ();
  mtTableArea.Destroy ();
  mtBackArea.Destroy ();
	mtFootlights1.Destroy ();
	mtFootlights2.Destroy ();
	mtCraps.Destroy ();
	mtBlackjack.Destroy ();
	mtElevator.Destroy ();
	mtExit.Destroy ();
	
	mtDoorArea = nil;
  mtStageArea = nil;
  mtTableArea = nil;
  mtBackArea = nil;
	mtFootlights1 = nil;
	mtFootlights2 = nil;
	mtCraps = nil;
	mtBlackjack = nil;
	mtElevator = nil;
	mtExit = nil;

end
