-- Create room called 'Bunker', add 3ds file to it and load it.

-- Lets create main menu
Title = TRoom.Create();
Title.Name = 'Title';
Title.ScriptFile = 'TitleScripts.lua';-- All MainMenu related scripts are found here.

Endscreen = TRoom.Create();
Endscreen.Name = 'Endscreen'; -- Name of the Room, MUST be defined for script event callings
Endscreen.Filename = 'Endscreen/endscreen.obj';
Endscreen.Walkarea = 'Endscreen/endscreen.obj';
Endscreen.ScriptFile = 'EndscreenScripts.lua'

CasinoInt = TRoom.Create();
CasinoInt.Name = 'CasinoInt'; -- Name of the Room, MUST be defined for script event callings
CasinoInt.Filename = 'CasinoInterior/CasinoInterior.obj';
CasinoInt.Walkarea = 'CasinoInterior/CasinoInterior_walk.obj';
CasinoInt.ScriptFile = 'CasinoIntScripts.lua'

StageInt = TRoom.Create();
StageInt.Name = 'StageInt'; -- Name of the Room, MUST be defined for script event callings
StageInt.Filename = 'CasinoInterior/CasinoInterior.obj';
StageInt.Walkarea = 'CasinoInterior/CasinoInterior_walk.obj';
StageInt.ScriptFile = 'StageIntScripts.lua'

Exterior = TRoom.Create();
Exterior.Name = 'Exterior'; -- Name of the Room, MUST be defined for script event callings
Exterior.Filename = 'Exterior/exterior.obj';
Exterior.Walkarea = 'Exterior/exterior_walk.3ds';
Exterior.ScriptFile = 'ExteriorScripts.lua'

Apartment = TRoom.Create();
Apartment.Name = 'Apartment'; -- Name of the Room, MUST be defined for script event callings
Apartment.Filename = 'Apartment/apartment.obj';
Apartment.Walkarea = 'Apartment/apartment_walk.obj';
Apartment.ScriptFile = 'ApartmentScripts.lua'

IntroRoom = TRoom.Create();
IntroRoom.Name = 'IntroRoom'; -- Name of the Room, MUST be defined for script event callings
IntroRoom.Filename = 'Exterior/exterior.obj';
IntroRoom.Walkarea = 'Exterior/exterior_walk.3ds';
IntroRoom.ScriptFile = 'IntroRoomScripts.lua'



Mat = TMaterials.Create();
Light1 = TLight.Create(); --Create handler for Light
Light2 = TLight.Create();
Light_pool = TLight.Create(); --Create handler for Light
Light_amb = TLight.Create(); --Create handler for Light	
	
Game.LoadScript('scripts/Sissy.lua');
Game.LoadScript('scripts/Lee.lua');
Game.LoadScript('scripts/SissyDead.lua');
Game.LoadScript('scripts/Lyons.lua');
Game.LoadScript('scripts/Olivetti.lua');
Game.LoadScript('scripts/Chuck.lua');
Game.LoadScript('scripts/Bouncer.lua');
Game.LoadScript('scripts/Panel.lua');
Game.LoadScript('scripts/Duck.lua');


-- When calling load(), engine loads the room and then executes onLoadRoom function, if it is declared in Room.Scriptfile.

Game.LoadScript('scripts/Music.lua');
Game.LoadScript('scripts/ConvOptions.lua');
Game.LoadScript('scripts/ConvMenu.lua');
LoadGameGUI();  
--StageInt.Load()
--Exterior.Load();
--IntroRoom.Load();
--CasinoInt.Load();
--Endscreen.Load();
--Apartment.Load();
Title.Load()


for n,v in pairs(_G) do
   Game.LOG(tostring(n).. ' - ' ..tostring(v));
end


--Game.SaveGame('autosave.sav'); -- This saves the initial state to file
