-- Initialize Conversation object

function InitConv_LeeDrink()
	atBar = 0
	Sissy.SpeechHeight = 240;
	Lee.SpeechHeight = 270;
	Game.DisableScene = true;
	
	Camera.SetPosition(105.125411987305,114.619415283203,-15.8197956085205);
	Camera.SetTargetPosition(96.0263900756836,114.608238220215,-33.2480316162109);


	Sissy.WalkingAnimation = 'standing'; 
	Lee.WalkingAnimation = 'lee_standing'; 
	
	Lee.SetPosition(95.6249694824219,110,-50.8660011291504);
	Lee.SetRotation(0,0,0);

	
	Sissy.SetPosition(89.0974426269531,110.000480651855,-25.0576858520508);
	Sissy.SetRotation(168.600006103516,0,0);

	NewConv.ClearNodes();
	ConvBackground.Visible = 1;
	ConvBackground.Alpha = 0.7;
 
	LeeStartNode = NewConv.AddNode();

	NewConv.AddOption(LeeStartNode, "May I have a highball?",'AskForDrink');
	NewConv.AddOption(LeeStartNode, "You sure have a nice hat...",'LeeHat');
	NewConv.AddOption(LeeStartNode, "So how's business?",'LeeBusiness');
	ShowLeeStartNode();
	
end

function InitConv_SissyToLee()
	atBar = 1
	Camera.FollowNone (); 
	Sissy.SpeechHeight = 240;
	Lee.SpeechHeight = 340;
	Game.DisableScene = true;
		
	Camera.SetPosition(98.2441253662109,107.237800598145,-230.018295288086);
	Camera.SetTargetPosition(-22.3579254150391,112.498344421387,-121.282569885254);


	Sissy.WalkingAnimation = 'standing'; 
	Lee.WalkingAnimation = 'lee_standing'; 
	
	Lee.SetPosition(37.5439987182617,110,-177.479995727539);
	Lee.SetRotation(94.0599975585938,0,0);

	Sissy.SetPosition(65.5698471069336,110,-171.029998779297);
	Sissy.SetRotation(-102.879997253418,0,0);
	
	NewConv.ClearNodes();
	ConvBackground.Visible = 1;
	ConvBackground.Alpha = 0.7;
 
	LeeStartNode = NewConv.AddNode();

	NewConv.AddOption(LeeStartNode, "Another highball please?",'AskForDrink2');
	NewConv.AddOption(LeeStartNode, "Why don't I fix you a drink?",'MakeDrink');
	if seenTurnTable == 1 then
		NewConv.AddOption(LeeStartNode, "How about some music?",'Music');
	end
	if musicPlaying == 1 then
		NewConv.AddOption(LeeStartNode, "How about some different music?",'ChangeMusic');
	end
	NewConv.AddOption(LeeStartNode, "You sure have a nice hat...",'LeeHat');
	NewConv.AddOption(LeeStartNode, "Can I take a look around?",'LookAround');
	
	
	DrinkNode = NewConv.AddNode();
	
	NewConv.AddOption(DrinkNode, "Drug the whiskey...",'DrugWhiskey');
	NewConv.AddOption(DrinkNode, "Serve it straight...",'NotDrugWhiskey');

	ShowLeeStartNode();
	
	SissyDrinkNode = NewConv.AddNode();
	
	NewConv.AddOption(SissyDrinkNode, "Okay I'll drink it...",'WillDrink');
	NewConv.AddOption(SissyDrinkNode, "I don't wanna...",'WillNotDrink');

	
	SissyDrinkLastNode = NewConv.AddNode();
	
	NewConv.AddOption(SissyDrinkLastNode, "Okay!",'WillDrink');
	NewConv.AddOption(SissyDrinkLastNode, "No.",'WillNotDrinkLast');
	
	
	ShowLeeStartNode();
	
end



-- Show Node Functions

function ShowLeeStartNode()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(LeeStartNode);
end

function ShowDrinkNode()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(DrinkNode);
end
function ShowSissyDrinkNode()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(SissyDrinkNode);
end

function ShowSissyDrinkLastNode()
	ConvBackground.Visible = 1;
  NewConv.ShowNode(SissyDrinkLastNode);
end

--- Conversation scripts

function AskForDrink()
	
	hideLeeConv()
	dramaCam(function()
		LeeConvSissyCU()
		Sleep(0.1)
		Sissy.Say("May I have-",3000, 'LeeConvCU');
		coroutine.yield();
		Lee.Say("May I?", 3000);
		Lee.Say("You talk like you're\nat Sunday School!", 3000);
		Lee.Say("Relax, honey.", 3000, 'LeeConvSissyCU');
		coroutine.yield();
		Sissy.Say("Um... a Ginger Whiskey.",3000);
		Sissy.Say("Please.",2000, 'LeeConvCU');
		coroutine.yield();
		Lee.WalkingAnimation = 'lee_walking'; 
		Lee.Say("Comin' up...", 3000, 'LeeFixDrink')
	end)
end

function AskForDrink2()
	
	hideLeeConv()
	dramaCam(function()
		LeeConvSissyCU()
		Sleep(0.1)
		Sissy.Say("Another highball please?",3000, 'LeeConvCU');
		coroutine.yield();
		Lee.Say("Right here...", 3000, 'PrepareDrink')
	end)
end


function MakeDrink()
	hideLeeConv()
	dramaCam(function()
		LeeConvSissyCU()
		Sleep(0.1)
		Sissy.Say ("Um... why don't *I* fix you a drink?", 3000, 'LeeConvCU');
		coroutine.yield()
		Lee.Say("Sure, honey.",3000)
		Lee.Say("Get me a whiskey, will ya?",3000,'LeeConvSissyCU')
		coroutine.yield()
		Sissy.Say ("How do you like it?", 3000, 'LeeConvCU');
		coroutine.yield()
		Lee.Say("Straight up.",3000, 'LeeConvSissyCU')
		coroutine.yield()
		Lee.WalkingAnimation = 'lee_walking'; 
		Sissy.Say ("Okay...", 3000, 'MakeDrinkForLee');
	end)

end



function MakeDrinkForLee()

	hideLeeConv()
	
	Lee.WalkingAnimation = 'lee_standing'; 
	
	Lee.SetPosition(20.0400009155273,110,-176.149993896484);
	Lee.SetRotation(95.6600036621094,0,0);
	
	Sissy.SetPosition(42.6159248352051,110,-178.787399291992);
	Sissy.SetRotation(-174.763870239258,0,0);

	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	
	Camera.SetPosition(54.0588302612305,114.017684936523,-205.827194213867);
	Camera.SetTargetPosition(6.52965021133423,111.007522583008,-137.637084960938);
	
	Sissy.Say ("One whiskey coming up...", 3000, 'ShowDrinkNode');
	
end

function DrugWhiskey()

	Glass2.MoveToActorsHand (Sissy.ID);


	Glass2.SetPosition(1.5,1.5,0.5);
	Glass2.SetRotation(0,0,0);
	Glass2.SetScale(1,1,1);
	
	Sissy.SpeechHeight = 240;
	Lee.SpeechHeight = 340;
	
	
	
	Sissy.StandingAnimation = 'sissy_stand_drink'; 
	Sissy.WalkingAnimation = 'sissy_stand_drink'; 
	Sissy.TalkingAnimation = 'sissy_drink_talk'; 
	
	
	Sissy.SetPosition(65.5698471069336,110,-171.029998779297);
	Sissy.SetRotation(-102.879997253418,0,0);

	Lee.SetPosition(37.5439987182617,110,-177.479995727539);
	Lee.SetRotation(94.0599975585938,0,0);
	
	Camera.SetPosition(98.2441253662109,107.237800598145,-230.018295288086);
	Camera.SetTargetPosition(-22.3579254150391,112.498344421387,-121.282569885254);

	Glass2.Visible = true

	hideLeeConv()
	
	
	dramaCam(function()

	
	Sissy.Say ("Here's your glass..", 3000, 'LeeConvCU');
	coroutine.yield()
	Lee.Say ("Why don't *you* drink it?", 3000, 'LeeConvSissyCU');
	coroutine.yield()
	Sissy.Say ("I'm not thirsty.", 3000, 'LeeConvWide');
	coroutine.yield()
	Lee.Say ("I said drink it!", 3000, 'ShowSissyDrinkNode');
	
	end)


end


function WillDrink()

hideLeeConv()
	dramaCam(function()
	Sissy.Say ("Okay I'll\ndrink it...", 3000, 'LeeConvSissyCU');
	Sleep(1)
	Sissy.RunBoneAnimation('sissy_drink', 'SissyPoisoned', 70)
	
	end)
end

function SissyPoisoned()
	Sissy.AddAnimation('Sissy/sissy_fall.smd');
	Sissy.RunBoneAnimation('sissy_fall', 'none', 70)
	Game.SetTimer(Game.CurrentTime + 2,'FadeToBlack')
	EndType = 'drug'
	Sound.FadeOut (record1, 5000)
	Sound.FadeOut (record2, 5000)
	Game.SetTimer(Game.CurrentTime + 5,'GoToEndScreen')

end


function WillNotDrink()
	hideLeeConv()
	dramaCam(function()
		Sissy.Say ("I don't wanna...", 3000, 'LeeConvCU');
		coroutine.yield()
		Lee.Say ("I saw you slip\nsomething in...", 3000, 'LeeConvGunWide');
		coroutine.yield()
		
		
		
		Lee.WalkingAnimation = 'lee_stand_gun'; 
		Lee.StandingAnimation = 'lee_stand_gun'; 
		
		Sissy.SetPosition(76.870002746582,110,-164.830001831055);
		
		Gun1.MoveToActorsHand (Lee.ID);

		Gun1.SetPosition(0.899999976158142,1,0.5);
		Gun1.SetRotation(0,90,0);

		Gun1.Visible = true
		
		Lee.Say ("Drink.", 3000, 'ShowSissyDrinkLastNode');
	end)


end


function WillNotDrinkLast()
	hideLeeConv()
	dramaCam(function()

	Sissy.Say ("No.", 3000)
	Sleep(1);
	Sound.StopAll()
	Sound.Play(gunshot,1);
	Game.SetTimer(Game.CurrentTime + 1,'GunshotEnd')
	Sound.SetVolume(gunshot,40);
	Lee.RunBoneAnimation('lee_shoot', 'none', 70)
	Sissy.AddAnimation('Sissy/sissy_fall.smd');
	Sissy.RunBoneAnimation('sissy_fall', 'none', 70)
	Game.SetTimer(Game.CurrentTime + 2,'FadeToBlack')
	EndType = 'shot'
	Game.SetTimer(Game.CurrentTime + 5,'GoToEndScreen')
	
	end)
end


function NotDrugWhiskey()
hideLeeConv()
	Glass1.MoveToActorsHand (Lee.ID);

	Glass1.SetPosition(1.5,1.5,0.5);
	Glass1.SetRotation(0,0,0);
	Glass1.SetScale(1,1,1);
	
	Sissy.SpeechHeight = 240;
	Lee.SpeechHeight = 340;
	
	
	Lee.StandingAnimation = 'lee_stand_drink'; 
	Lee.WalkingAnimation = 'lee_stand_drink'; 
	
	
	Sissy.SetPosition(65.5698471069336,110,-171.029998779297);
	Sissy.SetRotation(-102.879997253418,0,0);

	Lee.SetPosition(37.5439987182617,110,-177.479995727539);
	Lee.SetRotation(94.0599975585938,0,0);
	
	Camera.SetPosition(98.2441253662109,107.237800598145,-230.018295288086);
	Camera.SetTargetPosition(-22.3579254150391,112.498344421387,-121.282569885254);

	Glass1.Visible = true
	Lee.Say("Y'r health.", 3000, 'LeeDrink1')

end

function LeeDrink1()
Lee.RunBoneAnimation('lee_drink', 'LeeFinishDrink', 70)

end


function Music()
	hideLeeConv()
	seenTurnTable = 2;
	dramaCam(function()
		LeeConvSissyCU()
		Sleep(0.1)
		Sissy.Say ("How about some music?", 3000, 'LeeConvCU');
		coroutine.yield()
		Lee.Say("You feel like dancin'?", 3000, 'LeeConvSissyCU')
		coroutine.yield()
		Sissy.Say ("Maybe... later.", 3000, 'LeeConvCU');
		coroutine.yield()
		Lee.Say("Sure thing...", 3000, 'PutOnRecord')	
	end)

end

function ChangeMusic()
	hideLeeConv()
	dramaCam(function()
		LeeConvSissyCU()
		Sleep(0.1)
		Sissy.Say ("How about some\ndifferent music?", 3000);
		Sissy.Say ("I'm getting bored.", 3000, 'LeeConvCU');
		coroutine.yield()
		Lee.Say("Whatever you say, doll.", 3000, 'PutOnRecord')		
	end)

end

function LeeHat()
hideLeeConv()

NewConv.RemoveOption(LeeStartNode, "You sure have a nice hat...");
NewConv.RemoveOption(LeeStartNode, "Can I take a look around?");
NewConv.AddOption(LeeStartNode, "Can I borrow your hat?",'LeeHat2');
if atBar == 1 then
	NewConv.AddOption(LeeStartNode, "Can I take a look around?",'LookAround');
end

	dramaCam(function()
		LeeConvSissyCU()
		Sleep(0.1)
		Sissy.Say ("You sure have a nice hat...", 3000, 'LeeConvCU')
		coroutine.yield()
		Lee.Say ("It's lucky...", 3000)
		Lee.Say ("I never take it off.", 3000, 'LeeConvSissyCU')
		coroutine.yield()
		Sissy.Say ("What about when you-", 3000, 'LeeConvCU')
		coroutine.yield()
		Lee.Say("Not even then.",3000,'ShowLeeStartNode')	
	end)

end

function LeeHat2()
hideLeeConv()

	dramaCam(function()
		LeeConvSissyCU()
		Sleep(0.1)
		Sissy.Say ("Can I borrow your hat?", 3000, 'LeeConvCU')
		coroutine.yield()
		Lee.Say ("I told you I\nnever take it off.", 3000)
		Lee.Say ("Don't make me\ntell y'again.", 3000, 'ShowLeeStartNode')
		coroutine.yield()
	end)

end

function LeeBusiness()
hideLeeConv()

	dramaCam(function()
		Sissy.Say ("So how's business?", 3000,'LeeConvCU')
		coroutine.yield();
		Lee.Say ("I don't talk business with frails.", 3000, 'ShowLeeStartNode')
	end)
end


function LookAround()
hideLeeConv()

	dramaCam(function()
	LeeConvSissyCU()
	Sleep(0.1)
	Sissy.Say ("Can I take a look around?", 3000)
	Sissy.Say ("This is a great suite", 3000, 'LeeConvCU')
	coroutine.yield();
	Lee.Say ("Sure.", 2000)
	Lee.Say ("I keep watcha\nthe whole town up here.", 3000)
	Lee.Say ("Nothing gets\npast ol' Stack.", 3000, 'ExitLeeConv')
		
	end)
 
end


function LeeFixDrink()


	if atBar ~=1 then
		Lee.Walk(29.5249996185303,110,-165.470001220703, 'LeeShake');
		Game.SetTimer(Game.CurrentTime + 2,'StackCutToBar')
	else 
		Lee.PointTo (Lee.X-10, Lee.Y, Lee.Z-10)
		LeeShake()
	end
	

end

function StackCutToBar()

	Camera.SetPosition(74.1126708984375,106.567527770996,-244.619888305664);
	Camera.SetTargetPosition(14.2420864105225,113.08283996582,-61.499340057373);

end

function LeeShake()

	
	Game.SetTimer(Game.CurrentTime + 0.75,'MixAnim')
	Game.SetTimer(Game.CurrentTime + 1.25,'SissyTurnAside')
	Game.SetTimer(Game.CurrentTime + 1.25,'CutToSissy')

end

function SissyTurnAside()
	Sissy.PointTo (Sissy.X+10, Sissy.Y, Sissy.Z)
end

function CutToSissy()

	Camera.SetPosition(111.955841064453,112.339050292969,-16.9665107727051);
	Camera.SetTargetPosition(57.5884170532227,114.589447021484,-59.6198348999023);

end

function MixAnim()
	Sound.Play(shake,1);
	Sound.SetVolume(shake,40);
	Game.SetTimer(Game.CurrentTime + 3,'EndShakeSound')
	Lee.AddAnimation('Lee/lee_mix.smd');
	Lee.RunBoneAnimation('lee_mix', 'LeeFinishMix', 80)
end

function EndShakeSound()

	Sound.Stop(shake);
end

function LeeFinishMix()

leeMixedDrink = 1;
Lee.Say ("Come and get it...", 3000, 'ExitLeeConv');

end


function PutOnRecord()

Lee.WalkingAnimation = 'lee_walking'; 
Lee.Walk(138.190002441406,110,-117.697273254395, 'LeeTurntable');

end


function LeeTurntable()
atBar = 0
atTurntable = 1

Lee.SetPosition(138.190002441406,110,-117.697273254395);
Lee.SetRotation(95.6100006103516,0,0);


Lee.AddAnimation('Lee/lee_record.smd');
Lee.StandingAnimation = 'lee_record'



Sound.StopAll()
Game.SetTimer(Game.CurrentTime + 5,'PlayMusicNow')
Game.SetTimer(Game.CurrentTime + 45,'RecordFinish')
ExitLeeConv()

end

function PlayMusicNow()
	if whichTrack == 1 then
		whichTrack = 2
		Sound.Stop(record2);
		Sound.Play(record1,1);
		Sound.SetVolume(record1,40);
		
	else
		whichTrack = 1
		Sound.Stop(record1);
		Sound.Play(record2,1);
		Sound.SetVolume(record2,40);
	end

end

function RecordFinish()

	if recordCancelled ~= 1 then

		Lee.SetPosition(134.610000610352,110,-115.069999694824);
		Lee.SetRotation(141.110000610352,0,0);

		if usingPanel ~= 1 then
			Game.DisableScene = 1
			Camera.FollowNone();
			Camera.SetPosition(138.464721679688,114.775001525879,-84.8637619018555);
			Camera.SetTargetPosition(141.916549682617,113.820861816406,-95.5706100463867);
			dramaCam(function()
			Sleep(2)
			Lee.Walk(29.5249996185303,110,-165.470001220703);
			Game.SetTimer(Game.CurrentTime + 2,'BackToApt')
			end)
		end
		
		Game.SetTimer(Game.CurrentTime + 8,'RecordChanged')
		Lee.StandingAnimation = 'lee_standing'
	end

end

function RecordChanged()

	if recordCancelled ~= 1 then
		Lee.SetRotation(94.0599975585938,0,0);
		atTurntable = 0
		musicPlaying = 1
		atBar = 1
	end
	
end

function ExitLeeConv()
  NewConv.HideNodes();
  ConvBackground.RunAnimation(FadeOutDiagAni.ID,'closeLeeConv');
 end

-- Camera Control Functions


function LeeConvGunWide()
	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	Camera.SetPosition(94.972785949707,114.110137939453,-205.24821472168);
	Camera.SetTargetPosition(91.1811294555664,113.535423278809,-201.633758544922);
	if co_drama ~= nil then
		coroutine.resume (co_drama);
	end
end





function LeeConvWide()
	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	if atBar == 1 then
		Camera.SetPosition(98.2441253662109,107.237800598145,-230.018295288086);
		Camera.SetTargetPosition(-22.3579254150391,112.498344421387,-121.282569885254);
	else	
		Camera.SetPosition(98.2441253662109,107.237800598145,-230.018295288086);
		Camera.SetTargetPosition(-22.3579254150391,112.498344421387,-121.282569885254);
	end
	if co_drama ~= nil then
		coroutine.resume (co_drama);
	end
end

 function LeeConvCU()
	if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	
	if atBar == 1 then
		Camera.SetPosition(57.9933128356934,115.121170043945,-185.283462524414);
		Camera.SetTargetPosition(52.242561340332,116.264755249023,-182.11946105957);
	else
		Camera.SetPosition(105.125411987305,114.619415283203,-15.8197956085205);
		Camera.SetTargetPosition(96.0263900756836,114.608238220215,-33.2480316162109);
	end
	if co_drama ~= nil then
		coroutine.resume (co_drama);
	end
end

 function LeeConvSissyCU()
	if Game.Width == 800 then
		Camera.FocalLength = close_small
	else
		Camera.FocalLength = close_big
	end
	
	if atBar == 1 then
		Camera.SetPosition(28.435338973999,116.072196960449,-203.727645874023);
		Camera.SetTargetPosition(61.4360122680664,115.729270935059,-172.721160888672);		
	else
		Camera.SetPosition(112.484245300293,120.221900939941,-58.3303604125977);
		Camera.SetTargetPosition(99.0020599365234,117.626167297363,-42.5643920898438);
	end
	if co_drama ~= nil then
		coroutine.resume (co_drama);
	end
end



-- Hide / Exit Functions

function closeLeeConv()
	if atBar ~=1 and atTurntable ~= 1 then
		Sissy.SetPosition(98.5217514038086,110,-51.1285820007324);
		Sissy.SetRotation(95.6033325195313,0,0);
		Camera.SetPosition(160.33544921875,109.920433044434,-16.3956756591797);
		Camera.SetTargetPosition(0,0,0);
		Camera.FollowActor(Sissy.ID);
	else
		Camera.SetPosition(160.33544921875,109.920433044434,-16.3956756591797);
		Camera.SetTargetPosition(0,0,0);
		Camera.FollowActor(Sissy.ID);
	end
	GUIActive = true;
	Sissy.SpeechHeight = 100;
	Lee.SpeechHeight = 100;
	
	Camera.SetTargetPosition(0,0,0);
  ConvBackground.Visible = 0;
	
  if Game.Width == 800 then
		Camera.FocalLength = wide_small
	else
		Camera.FocalLength = wide_big
	end
	
  Sissy.WalkingAnimation = 'walking'; 
	Lee.WalkingAnimation = 'lee_walking'; 
  Game.DisableScene = 0;
	
end

function hideLeeConv()
	ConvBackground.Visible = 0;
  NewConv.HideNodes();
end