function LoadLyons()
	if Lyons == nil then
		Lyons = TActor.Create();
		Lyons.LoadBaseMesh('Lyons/Lyons.smd');
		Lyons.SetPosition(50,25,-25);
		Lyons.SetActor_Dummy_Position(0,0,0); 
		Lyons.SetMeshScale(1,1,1); 
		Lyons.AddAnimation('Lyons/Lyons_standing.smd');
		Lyons.AddAnimation('Lyons/Lyons_talking.smd');
		Lyons.AddAnimation('Lyons/Lyons_walking.smd'); 

		Lyons.AddAnimation('Lyons/lyons_standing_gun.smd');
		Lyons.AddAnimation('Lyons/lyons_shoot.smd');
		Lyons.AddAnimation('Lyons/lyons_talking_gun.smd');


		Lyons.WalkingAnimation = 'Lyons_walking'; 
		Lyons.TalkingAnimation = 'Lyons_talking'; 
		Lyons.StandingAnimation = 'Lyons_standing'; 
		Lyons.CurrentAnimation = 'Lyons_standing'; 



		Lyons.Interval = 100;
		Lyons.SetCollisionScale(8,22,8);
		Lyons.WalkingSpeed = 500;
		Lyons.WalkingInterval = 50;
		Lyons.SetHandBones("Hand.L", "Hand.R"); 
	end
end

function onLyonsExamine()
	Sissy.Say('It\'s my Billy.');
end

function onLyonsInteract()
	startConv ('SissyToLyons');
end

function onLyonsUseInv()
	UseInvFail();
end